PUT api/v1/eois/bookings
Request Information
URI Parameters
None.
Body Parameters
EOIBookingModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| DateStart | date |
None. |
|
| DateEnd | date |
None. |
|
| TypeID | integer |
None. |
|
| SpecialRequirements | string |
None. |
|
| ClientIdentifier | string |
None. |
Request Formats
application/json, text/json, text/html
Sample:
{
"id": 1,
"dateStart": "2026-06-25T13:38:25.0473165+00:00",
"dateEnd": "2026-06-25T13:38:25.0473165+00:00",
"typeID": 4,
"specialRequirements": "sample string 5",
"clientIdentifier": "sample string 6"
}
application/xml, text/xml
Sample:
<EOIBookingModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/VOL.API.Models"> <ClientIdentifier>sample string 6</ClientIdentifier> <DateEnd>2026-06-25T13:38:25.0473165+00:00</DateEnd> <DateStart>2026-06-25T13:38:25.0473165+00:00</DateStart> <Id>1</Id> <SpecialRequirements>sample string 5</SpecialRequirements> <TypeID>4</TypeID> </EOIBookingModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |